Create Special:AutoblockList
Closed, ResolvedPublic3 Story Points

Description

This is would allow admins to monitor autoblocks more efficiently. Special:BlockList buries the autoblocks amongst other block types, and adding an option there to "Show only autoblocks" wouldn't fit well with the other filtering options.

XTools offers functionality to list autoblocks but does not include the block reason.

Just like Special:BlockList, the AutoblockList should include a timestamp, target (block ID), expiry, blocking admin, block parameters, and reason.

Once deployed we should update https://www.mediawiki.org/wiki/Autoblock accordingly.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2016, 8:10 PM

@MusikAnimal: How would you envision the UI for this? Just a checkbox that says "Show only autoblocks"? Would this work logically with all the other options?

Hmm, I guess it would make more sense as a separate Special page, Special:AutoblockList. The other options don't really fit because autoblocks are always temporary, and whether it's an IP or account is something that's not provided for privacy reasons.

MusikAnimal changed the title from "Allow filtering of autoblocks in Special:BlockList" to "Create Special:AutoblockList".Sep 22 2016, 10:10 PM
MusikAnimal edited the task description. (Show Details)
Jay8g added a subscriber: Jay8g.Sep 23 2016, 4:12 AM
Mainframe98 added a subscriber: Mainframe98.


@MusikAnimal Is this something like you had in mind?
This mock is fully functional. I'll upload a patch if I have time, so in the next 24 hours or so.


@MusikAnimal Is this something like you had in mind?
This mock is fully functional. I'll upload a patch if I have time, so in the next 24 hours or so.

Yes! Your patch it is most welcomed :) I would however give it the title "Autoblocks" and not "Auto blockades".

Maybe remove formatting from the table/use a normal wikitable. It won't cram up the Expires column then and span the whole page width.

I just reused the formatting/design from Special:BlockList. Expires is just as crammed up as there. In fact, comparing Special:BlockList with my Special:AutoBlockList, they exhibit exactly the same behaviour.

Yeah looks like there's a <br> in there before the "1 hour and 12 minutes left", same as current Special:BlockList. @Mainframe98 just making sure, the page title should probably be Special:AutoblockList (autoblock as one word). E.g. https://www.mediawiki.org/wiki/Autoblock

MusikAnimal edited the task description. (Show Details)Mar 6 2017, 8:02 PM

Change 341376 had a related patch set uploaded (by mainframe98):
[mediawiki/core] First version of AutoBlockList special page

https://gerrit.wikimedia.org/r/341376

kaldari triaged this task as "Normal" priority.Mar 8 2017, 1:10 AM
kaldari set the point value for this task to 3.
kaldari moved this task from Sprint planning/estimation to Backlog on the Community-Tech board.
kaldari closed this task as "Resolved".

Change 341376 merged by jenkins-bot:
[mediawiki/core@master] First version of AutoblockList special page

https://gerrit.wikimedia.org/r/341376

Change 347657 had a related patch set uploaded (by Kaldari; owner: Mainframe98):
[mediawiki/core@wmf/1.29.0-wmf.20] First version of AutoblockList special page

https://gerrit.wikimedia.org/r/347657

Change 347657 abandoned by Kaldari:
First version of AutoblockList special page

Reason:
We'll just wait for the next train.

https://gerrit.wikimedia.org/r/347657

On the bright side, waiting for the next train gives us the opportunity to put this in the Tech News, which I think is appropriate. Enwiki's Admin News goes out on the 1st of the month, so it will be out just in time for that, too :)

kaldari moved this task from Done to Archive on the Community-Tech-Sprint board.Wed, Apr 12, 5:39 AM

Change 347657 restored by Niharika29:
First version of AutoblockList special page

https://gerrit.wikimedia.org/r/347657

Change 347657 merged by jenkins-bot:
[mediawiki/core@wmf/1.29.0-wmf.20] First version of AutoblockList special page

https://gerrit.wikimedia.org/r/347657

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:05:47Z] <niharika29@tin> Started scap: Reword ORES preferences (T162831), Put ORES r behind a preference (T162831), Deploy Special:Autoblocklist (T146414)

Mentioned in SAL (#wikimedia-operations) [2017-04-14T00:30:32Z] <niharika29@tin> Finished scap: Reword ORES preferences (T162831), Put ORES r behind a preference (T162831), Deploy Special:Autoblocklist (T146414) (duration: 24m 44s)

Johan added a subscriber: Johan.Fri, Apr 14, 1:58 PM

@MusikAnimal

On the bright side, waiting for the next train gives us the opportunity to put this in the Tech News, which I think is appropriate. Enwiki's Admin News goes out on the 1st of the month, so it will be out just in time for that, too :)

This seems to be live now though?

Mainframe98 added a comment.EditedFri, Apr 14, 2:15 PM

This was backported during yesterday's SWAT for some reason. Stashbot's comment indicates this was done by @Niharika, so you may want to ask her. I've already submitted this to the next tech news (https://meta.wikimedia.org/wiki/Tech/News/2017/16)

Yes, this was deployed yesterday during SWAT. There was time so we decided to include this.

I've already submitted this to the next tech news (https://meta.wikimedia.org/wiki/Tech/News/2017/16)

Thank you!

DannyH moved this task from Backlog to Archive on the Community-Tech board.Tue, Apr 25, 2:20 AM